Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.aPar
Interface SweepParameter

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Parameter

All Known Implementing Classes:
  SweepParameterImpl

    public interface SweepParameter

extends Parameter

A representation of the model object 'Sweep Parameter'.

The following features are supported:

- `Attribute`
- `Start Value`
- `End Value`
- `Increment`

See Also:
  `AParPackage.getSweepParameter()`

Method Summary
`SAttribute` | `getAttribute()` Returns the value of the 'Attribute' reference.
`Value` | `getEndValue()` Returns the value of the 'End Value' containment reference.
`Value` | `getIncrement()` Returns the value of the 'Increment' containment reference.
`Value` | `getStartValue()` Returns the value of the 'Start Value' containment reference.
`void` | `setAttribute(SAttribute value)` Sets the value of the '`Attribute`' reference.
`void` | `setEndValue(Value value)` Sets the value of the '`End Value`' containment reference.
`void` | `setIncrement(Value value)` Sets the value of the '`Increment`' containment reference.
`void` | `setStartValue(Value value)` Sets the value of the '`Start Value`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAttribute

    SAttribute getAttribute()

  Returns the value of the 'Attribute' reference.

  If the meaning of the 'Attribute' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Attribute' reference.
  See Also:
    `setAttribute(SAttribute)`, `AParPackage.getSweepParameter_Attribute()`

### setAttribute

    void setAttribute(SAttribute value)

  Sets the value of the '`Attribute`' reference.

  Parameters:
    `value` - the new value of the 'Attribute' reference.
  See Also:
    `getAttribute()`

### getStartValue

    Value getStartValue()

  Returns the value of the 'Start Value' containment reference.

  If the meaning of the 'Start Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Value' containment reference.
  See Also:
    `setStartValue(Value)`, `AParPackage.getSweepParameter_StartValue()`

### setStartValue

    void setStartValue(Value value)

  Sets the value of the '`Start Value`' containment reference.

  Parameters:
    `value` - the new value of the 'Start Value' containment reference.
  See Also:
    `getStartValue()`

### getEndValue

    Value getEndValue()

  Returns the value of the 'End Value' containment reference.

  If the meaning of the 'End Value' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'End Value' containment reference.
  See Also:
    `setEndValue(Value)`, `AParPackage.getSweepParameter_EndValue()`

### setEndValue

    void setEndValue(Value value)

  Sets the value of the '`End Value`' containment reference.

  Parameters:
    `value` - the new value of the 'End Value' containment reference.
  See Also:
    `getEndValue()`

### getIncrement

    Value getIncrement()

  Returns the value of the 'Increment' containment reference.

  If the meaning of the 'Increment' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Increment' containment reference.
  See Also:
    `setIncrement(Value)`, `AParPackage.getSweepParameter_Increment()`

### setIncrement

    void setIncrement(Value value)

  Sets the value of the '`Increment`' containment reference.

  Parameters:
    `value` - the new value of the 'Increment' containment reference.
  See Also:
    `getIncrement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD